[Pharo-project] OSProcess

David T. Lewis lewis at mail.msen.com
Tue Nov 16 13:25:15 CET 2010


On Tue, Nov 16, 2010 at 12:22:43AM -0300, Facundo Vozzi wrote:
> Hi,
> I loaded OSProcess 4.3.11 on Pharo-1.1.1-dev10.09.1.image but its tests are
> almost all red.
> 
> Do you know if 4.3.11 if the right version for Pharo 1.1.1?
> 
> Thanks you,
> Facundo

In general, it is best to use the latest version of OSProcess, although
the older version 4.3.11 should still work fine.

The Cog VM and the OSProcessAccessor plugin have some incompatibilities.
The #forkSqueak methods will not work, and these are used throughout
the OSProcess tests.

Dave





More information about the Pharo-project mailing list